# irisml-tasks-onnx

This is a package for tasks related to onnx models.

See [irisml repository](https://github.com/microsoft/irisml) for the detail of irisml framework, and [irisml-tasks-training](https://github.com/microsoft/irisml-tasks-training) for tasks related to model training, prediction, and export that are referenced here. Note that these tasks are for working with already-traced onnx models, for tracing see [export_onnx](https://github.com/microsoft/irisml-tasks-training/blob/main/README.md#export_onnx) task.

## Tasks

### predict_onnx
Run prediction on a dataset with basic onnx model. Uses the same inputs and outputs as the [predict task](https://github.com/microsoft/irisml-tasks-training/blob/main/README.md#predict).

## ONNX Format Details

### 'Basic' ONNX Format
The onnx format generated by the [export_onnx task](https://github.com/microsoft/irisml-tasks-training/blob/main/README.md#export_onnx). Very straightforward inference API that expects one already-preprocessed image tensor as input with a fixed size. Currently does not support dynamic image sizes or batching.

## Contributing

This project welcomes contributions and suggestions.  Most contributions require you to agree to a
Contributor License Agreement (CLA) declaring that you have the right to, and actually do, grant us
the rights to use your contribution. For details, visit https://cla.opensource.microsoft.com.

When you submit a pull request, a CLA bot will automatically determine whether you need to provide
a CLA and decorate the PR appropriately (e.g., status check, comment). Simply follow the instructions
provided by the bot. You will only need to do this once across all repos using our CLA.

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).
For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or
contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.

## Trademarks

This project may contain trademarks or logos for projects, products, or services. Authorized use of Microsoft 
trademarks or logos is subject to and must follow 
[Microsoft's Trademark & Brand Guidelines](https://www.microsoft.com/en-us/legal/intellectualproperty/trademarks/usage/general).
Use of Microsoft trademarks or logos in modified versions of this project must not cause confusion or imply Microsoft sponsorship.
Any use of third-party trademarks or logos are subject to those third-party's policies.
